//
//  SNKChange.h
//  SyncKit
//
//  Created by Logan Collins on 3/28/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <SyncKit/SNKChangeObject.h>
#import <SyncKit/SyncKitDefines.h>


typedef SYNCKIT_ENUM(NSUInteger, SNKChangeType) {
    SNKChangeTypeInsert = 0,
    SNKChangeTypeUpdate,
    SNKChangeTypeDelete,
};


@class SNKChangeEntity;


@interface SNKChange : SNKChangeObject

@property (nonatomic, strong, readonly) SNKChangeEntity *changeEntity;
@property (nonatomic, copy, readonly) NSString *identifier;
@property (nonatomic, readonly) SNKChangeType type;

@property (nonatomic, copy) NSDate *date;
@property (nonatomic, copy) NSSet *attributes;

@end
