//
//  SNKCredentials_Private.h
//  SyncKit
//
//  Created by Logan Collins on 4/8/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <SyncKit/SNKCredentials.h>
#import <SyncKit/SyncKitDefines.h>


typedef SYNCKIT_ENUM(NSUInteger, SNKCredentialsType) {
    SNKCredentialsTypeOAuth = 0,
};


@interface SNKCredentials ()

@property SNKCredentialsType type;

- (id)objectForKey:(NSString *)key;
- (void)setObject:(id <NSCoding, NSCopying>)object forKey:(NSString *)key;

// OAuth
- (NSString *)OAuthToken;
- (NSString *)OAuthTokenSecret;

@end
