//
//  NSDictionary+SyncKitAdditions.h
//  SyncKit
//
//  Created by Logan Collins on 2/10/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSDictionary (SyncKitAdditions)

- (NSDictionary *)snk_filteredDictionaryUsingBlock:(BOOL (^)(id key, id value, BOOL *stop))block;

- (NSData *)snk_HTTPBody;
- (NSString *)snk_HTTPParametersString;

@end


@interface NSMutableDictionary (SyncKitAdditions)

- (void)snk_filterUsingBlock:(BOOL (^)(id key, id value, BOOL *stop))block;

@end
