//
//  NSMutableURLRequest+SyncKitAdditions.h
//  SyncKit
//
//  Created by Logan Collins on 4/9/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


@class SNKCredentials;


@interface NSMutableURLRequest (SyncKitAdditions)

- (NSDictionary *)snk_parameters;

// OAuth
- (void)snk_signWithOAuthConsumerKey:(NSString *)consumerKey consumerSecret:(NSString *)consumerSecret credentials:(SNKCredentials *)credentials;

@end
