//
//  NSString+SyncKitAdditions.m
//  SyncKit
//
//  Created by Logan Collins on 4/9/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "NSString+SyncKitAdditions.h"


@implementation NSString (SyncKitAdditions)

- (NSString *)snk_URLEncodedString {
    return CFBridgingRelease(CFURLCreateStringByAddingPercentEscapes(kCFAllocatorDefault,
                                                                     (__bridge CFStringRef)self,
                                                                     NULL,
                                                                     CFSTR("!*'();:@&=+$,/?%#[]"),
                                                                     kCFStringEncodingUTF8));
}

- (NSString *)snk_URLDecodedString {
    return CFBridgingRelease(CFURLCreateStringByReplacingPercentEscapesUsingEncoding(kCFAllocatorDefault,
                                                                                     (__bridge CFStringRef)self,
                                                                                     CFSTR(""),
                                                                                     kCFStringEncodingUTF8));
}

@end
