//
//  SNKChangeCoordinator.h
//  SyncKit
//
//  Created by Logan Collins on 10/24/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


/*!
 * @class SNKChangeCoordinator
 * @abstract Coordinates change tracking for a model schema
 */
@interface SNKChangeCoordinator : NSObject

- (id)initWithURL:(NSURL *)aURL;

@property (nonatomic, copy, readonly) NSURL *URL;

@end
