//
//  SNKChangeEntity.m
//  SyncKit
//
//  Created by Logan Collins on 3/28/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "SNKChangeEntity.h"
#import "SNKChangeEntity_Private.h"

#import "SNKChangeObject_Private.h"


@implementation SNKChangeEntity

@dynamic name, changes, lastSyncDate;


#pragma mark -
#pragma mark Accessors

- (BOOL)shouldPerformSlowSync {
    return [[self managedValueForKey:@"shouldPerformSlowSync"] boolValue];
}

- (void)setShouldPerformSlowSync:(BOOL)shouldPerformSlowSync {
    [self setManagedValue:(shouldPerformSlowSync ? @YES : @NO) forKey:@"shouldPerformSlowSync"];
}

@end
