//
//  SNKClient_Private.h
//  SyncKit
//
//  Created by Logan Collins on 4/5/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "SNKClient.h"


@interface SNKClient ()

- (id)initWithDictionary:(NSDictionary *)dictionary;

@property (copy, readwrite) NSString *identifier;

@property (copy, readwrite) NSString *name;
@property (readwrite) SNKClientType type;
@property (copy, readwrite) NSString *model;

@property (copy, readwrite) NSString *systemVersion;
@property (copy, readwrite) NSString *localeIdentifier;

@property (copy, readwrite) NSString *applicationIdentifier;
@property (copy, readwrite) NSString *applicationName;
@property (copy, readwrite) NSString *applicationVersion;

@property (copy, readwrite) NSDictionary *iconsDictionary;

@property (copy, readwrite) NSDate *lastSyncDate;

@end


SYNCKIT_EXTERN NSString * SNKLocalClientIdentifier();
SYNCKIT_EXTERN NSDictionary * SNKLocalClientDictionary();
