//
//  SNKPersistentSyncCoordinator_Private.h
//  SyncKit
//
//  Created by Logan Collins on 3/28/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <SyncKit/SNKPersistentSyncCoordinator.h>
#import <SyncKit/SNKSyncSession.h>


@interface SNKPersistentSyncCoordinator () <SNKSyncSessionDelegate>

@property (strong, readwrite) SNKService *service;
@property (copy, readwrite) NSString *schema;
@property (strong, readwrite) NSManagedObjectContext *managedObjectContext;
@property (copy, readwrite) NSURL *changesURL;
@property (readwrite, getter=isSyncing) BOOL syncing;

@end
