//
//  SNKRequest.h
//  SyncKit
//
//  Created by Logan Collins on 12/21/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


/*!
 * @protocol SNKRequest
 * @abstract An object representing a request
 */
@protocol SNKRequest <NSObject>

- (BOOL)isStarted;
- (BOOL)isFinished;
- (BOOL)isCancelled;
- (void)cancel;
- (void)waitUntilFinished;

@end
