//
//  SNKAuthorizationRequest.h
//  SyncKit
//
//  Created by Logan Collins on 5/3/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface SNKAuthorizationRequest : NSObject

// Account credentials
@property (copy) NSString *email;
@property (copy) NSString *password;

// Whether the server should create an account with the given credentials if none exists.
@property (assign) BOOL shouldCreateAccount;

// Optional. This is not the server-side client identifier, but a unique identifier the client
// can send along to identify the client in the case that previous credentials were deauthorized.
@property (copy) NSString *clientIdentifier;

@end
