//
//  SNKService_Private.h
//  SyncKit
//
//  Created by Logan Collins on 1/15/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <SyncKit/SNKService.h>


@class SNKRequest;


@interface SNKService ()

@property (copy, readwrite) NSString *endpoint;
@property (copy, readwrite) NSString *token;
@property (copy, readwrite) NSString *tokenSecret;

- (void)scheduleRequest:(SNKRequest *)request completionHandler:(void (^)(NSHTTPURLResponse *response, NSData *responseData, NSError *error))handler;

- (void)syncSessionDidFinish:(SNKSyncSession *)session;

- (NSError *)errorWithResponse:(NSHTTPURLResponse *)response responseData:(NSData *)responseData error:(NSError *)error;
- (NSError *)errorWithCode:(NSUInteger)errorCode;

@end
