//
//  SNKDebug.m
//  SyncKit
//
//  Created by Logan Collins on 3/30/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "SNKDebug.h"


#if !defined(DEBUG) || !DEBUG
static BOOL SNKDebugLoggingEnabled = NO;
#endif


BOOL SNKDebugLoggingIsEnabled() {
#if defined(DEBUG) && DEBUG
    return YES;
#else
    return SNKDebugLoggingEnabled;
#endif
}

void SNKDebugLoggingSetEnabled(BOOL enabled) {
#if defined(DEBUG) && DEBUG
    // no-op
#else
    SNKDebugLoggingEnabled = enabled;
#endif
}
