//
//  SyncKitDefines.h
//  SyncKit
//
//  Created by Logan Collins on 12/19/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//


#define SYNCKIT_EXTERN extern __attribute__((visibility("default")))
#define SYNCKIT_INLINE static inline __attribute__((visibility("default")))

#if (__has_feature(objc_fixed_enum))
#define SYNCKIT_ENUM(_type, _name) enum _name : _type _name; enum _name : _type
#define SYNCKIT_OPTIONS(_type, _name) enum _name : _type _name; enum _name : _type
#else
#define SYNCKIT_ENUM(_type, _name) _type _name; enum
#define SYNCKIT_OPTIONS(_type, _name) _type _name; enum
#endif

#if (__has_feature(objc_arc))
#define SYNCKIT_WEAK_ARC_ONLY weak
#define SYNCKIT_IVAR_WEAK_ARC_ONLY __weak
#else
#define SYNCKIT_WEAK_ARC_ONLY unsafe_unretained
#define SYNCKIT_IVAR_WEAK_ARC_ONLY __unsafe_unretained
#endif
